package org.oscy.tapestry.breadcrumbs.internal.services;

import org.apache.tapestry5.ioc.annotations.UsesConfiguration;
import org.apache.tapestry5.services.PageRenderRequestParameters;
import org.oscy.tapestry.breadcrumbs.other.BreadCrumbRule;


/**
 * General interface for work with BreadCrumbs.Used for adding breadcrumbs to the list
 */
@UsesConfiguration(BreadCrumbRule.class)
public interface BreadCrumbsService
{
	/**
	 * Examines the parameters to find which page is being rendered and add it to the breadcrumbs list
	 * <p/>
	 * It then checks if there are contributions {@link BreadCrumbRule} or {@link org.oscy.tapestry.breadcrumbs.annotation.BreadCrumb} annotation 
	 * attached on that page. In the end it adds the page along with the context to the
	 * breadcrumbs list.
	 * 
	 * @param params PageRenderRequestParameters parameters passed through from PageRenderFilter
	 */
	public void addToBreadCrumbs(PageRenderRequestParameters params);
}
