package org.oscy.tapestry.breadcrumbs.other;


/**
 * Defines the names of symbols used to configure BreadCrumbs module.
 */
public class BreadCrumbsConstants
{
	/**
	 * Number of breadcrumbs to save.If exceeded the list will wrap around.
	 * The default value is: 10.
	 */
	public static final String BREADCRUMBS_MAX_CRUMBS_TO_SAVE = "zbreadcrumbs-to-save";
	
	/**
	 * Whether or not to discard duplicate breadcrumbs.
	 * The default value is: true.
	 */
	public static final String BREADCRUMBS_DISCARD_DUPLICATES = "zbreadcrumbs-discrd-duplicates";
	
	/**
	 * Default class name that is added to the breadCrumbTrailComponent
	 * The default value is: t-zbreadcrumbs.
	 * 
	 * @see  org.oscy.tapestry.breadcrumbs.components.BreadCrumbsTrail
	 */
	public static final String BREADCRUMBS_TRAIL_CSS_CLASS = "zbreadcrumbs-css_class";
	
	/**
	 * Default suffix that will be appended to the logical page name when using
	 * message catalogue to get the title of the breadcrumb.
	 * The default value is: -crumb.
	 */
	public static final String BREADCRUMBS_TITLE_SUFFIX = "zbreadcrumbs-title-suffix";
	
    /**
     * The default breadcrumbs stylesheet automatically injected into every rendered HTML page.
     */
	public static final String BREADCRUMBS_DEFAULT_STYLESHEET = "zbreadcrumbs-default-stylesheet";
}
