package org.oscy.tapestry.breadcrumbs.other;


/**
 * A provider of model data to the sub-components of the {@link org.oscy.tapestry.breadcrumbs.components.BreadCrumbsTrail} component.
 * The primary implementor of this component is the BreadCrumbsTrail component itself. This is effectively a way to package two
 * values as a single parameter to components such as {@link org.oscy.tapestry.breadcrumbs.components.BreadCrumbsLoop}
 */
public interface BreadCrumbsModel
{
	/**
	 * @return The number of breadcrumbs available
	 */
	int getSize();

	
	/**
	 * @return {@link BreadCrumbElement} which has the specified index
	 */
	BreadCrumbElement getCrumb(int crumbIndex);
}
